<component-set>
  <components>
    <component>
      <role>org.codehaus.plexus.yahoosearch.PlexusYahooSearch</role>
      <role-hint>image</role-hint>
      <implementation>org.codehaus.plexus.yahoosearch.image.PlexusYahooSearchImage</implementation>
      <requirements>
        <requirement>
          <role>org.codehaus.plexus.httpclient.PlexusHttpClient</role>
          <field-name>httpclient</field-name>
        </requirement>
      </requirements>
      <configuration>
        <appid>YahooDemo</appid>
        <request-url>http://api.search.yahoo.com</request-url>
      </configuration>
    </component>
  </components>
</component-set>
